import { jsx } from "react/jsx-runtime";
import { Stop as Stop$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Stop = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Stop", ...props, children: /* @__PURE__ */ jsx(Stop$1, { weight: variant }) });
  }
);
Stop.displayName = "Stop";
Object.assign(Stop, { isGdsIcon: true });
export {
  Stop
};
